LESSTHAN(3G)

NAME
lessThan - perform a component-wise less-than comparison of two vectors

DECLARATION

bvec lessThan(vec x, vec y);

bvec lessThan(ivec x, ivec y);

bvec lessThan(uvec x, uvec y);

PARAMETERS

x
    Specifies the first vector to be used in the comparison operation.

y
    Specifies the second vector to be used in the comparison operation.

DESCRIPTION

lessThan returns a boolean vector in which each element i is computed as x[i] < y[i].

VERSION SUPPORT
 | OpenGL Shading Language Version
Function Name | 1.10 | 1.20 | 1.30 | 1.40 | 1.50 | 3.30 | 4.00 | 4.10 | 4.20 | 4.30 | 4.40 | 4.50
lessThan (vec) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
lessThan (ivec) | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔
lessThan (uvec) | - | - | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔ | ✔

SEE ALSO

lessThanEqual(), greaterThan(), greaterThanEqual(), equal(), notEqual(), any(), all(), not()

COPYRIGHT

Copyright © 2011-2014 Khronos Group. This material may be distributed subject to the terms and conditions set forth in the Open Publication License, v 1.0, 8 June 1999. https://opencontent.org/openpub/.

COPYRIGHT
Copyright © 2011-2014 Khronos Group